package edu.fiu.models;

import org.jdbi.v3.core.mapper.RowMapper;
import org.jdbi.v3.core.statement.StatementContext;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Data Transfer Object for posting user progress
 *
 * @author Dariel
 */
public class ActivityProgressDTO
{
    public Integer userId; // see edu.fiu.models.User
    public Integer activityId; // see edu.fiu.models.ActivityType

    public ActivityProgressDTO(Integer userId, int activityId)
    {
        this.userId = userId;
        this.activityId = activityId;
    }

    public Integer getUserId()
    {
        return userId;
    }

    public void setUserId(Integer userId)
    {
        this.userId = userId;
    }

    public Integer getActivityId()
    {
        return activityId;
    }

    public void setActivityId(Integer activityId)
    {
        this.activityId = activityId;
    }
}
